#!/usr/bin/env python3
import json
import logging
import os
import sys

from common.utils import get_decoded_line, get_start_index

DEBUG = str(os.environ.get('DEBUG', False)).lower() == str(True).lower()

log_level = logging.DEBUG if DEBUG else logging.INFO

root = logging.getLogger()
root.setLevel(log_level)

stream_handler = logging.StreamHandler(sys.stdout)
stream_handler.setLevel(log_level)
formatter = logging.Formatter('%(asctime)s %(levelname)s %(name)s %(message)s')
stream_handler.setFormatter(formatter)
root.addHandler(stream_handler)

_LOGGER = logging.getLogger(__name__)

items = [
    b' \x00\x00\x00DHIP\xc2\xaf\xc3\xbe\xc3\xbf\x7f\x08\x00\x00\x00H\x00\x00\x00\x00\x00\x00\x00H\x00\x00\x00\x00\x00\x00\x00{"id":8,"params":{"info":"123123"},"result":true,"session":123123}\n \x00\x00\x00DHIP\xc2\xaf\xc3\xbe\xc3\xbf\x7f\t\x00\x00\x00I\x00\x00\x00\x00\x00\x00\x00I\x00\x00\x00\x00\x00\x00\x00{"id":9,"params":{"type":"123123"},"result":true,"session":123123}\n \x00\x00\x00DHIP\xc2\xaf\xc3\xbe\xc3\xbf\x7f\x06\x00\x00\x00\xc2\x94\x00\x00\x00\x00\x00\x00\x00\xc2\x94\x00\x00\x00\x00\x00\x00\x00{"id":6,"params":{"table":{"HWID":"123123"}},"result":true,"session":123123}\n \x00\x00\x00DHIP\xc2\xaf\xc3\xbe\xc3\xbf\x7f\x0b\x00\x00\x001\x00\x00\x00\x00\x00\x00\x001\x00\x00\x00\x00\x00\x00\x00{"id":11,"result":123123,"session":123123}\n \x00\x00\x00DHIP\xc2\xaf\xc3\xbe\xc3\xbf\x7f\x0c\x00\x00\x00E\x00\x00\x00\x00\x00\x00\x00E\x00\x00\x00\x00\x00\x00\x00{"id":12,"params":{"type":"VTO"},"result":true,"session":123123}\n \x00\x00\x00DHIP\xc2\xaf\xc3\xbe\xc3\xbf\x7f\r\x00\x00\x00\xc2\x9f\x00\x00\x00\x00\x00\x00\x00\xc2\x9f\x00\x00\x00\x00\x00\x00\x00{"id":13,"params":{"info":{"MCUVersion":["123123"],"ProductDate":"","cameraNum":0,"cardReader":true,"hasRTC":true}},"result":true,"session":123123}\n \x00\x00\x00DHIP\xc2\xaf\xc3\xbe\xc3\xbf\x7f\x05\x00\x00\x000\x00\x00\x00\x00\x00\x00\x000\x00\x00\x00\x00\x00\x00\x00{"id":5,"result":123123,"session":123123}\n \x00\x00\x00DHIP\xc2\xaf\xc3\xbe\xc3\xbf\x7f\n\x00\x00\x00\xc3\x82\x00\x00\x00\x00\x00\x00\x00\xc3\x82\x00\x00\x00\x00\x00\x00\x00{"id":10,"params":{"version":{"Build":"123123","BuildDate":"123123","SecurityBaseLineVersion":"123123","Version":"123123","WebVersion":"123123"}},"result":true,"session":123123}\n \x00\x00\x00DHIP\xc2\xaf\xc3\xbe\xc3\xbf\x7f9\x00\x00\x00-B\x00\x00\x00\x00\x00\x00-B\x00\x00\x00\x00\x00\x00{"id":57,"params":[{"id":47,"params":{"table":{"VTOCallSound":"123123.mp3","VTOCallSoundEnable":true}},"result":true,"session":123123},{"id":48,"params":{"table":[{"DisableDelay":0,"Enable":true,"EnableControl":"Normal","EventHandler":{"AlarmOutEnable":false,"AlarmOutLatch":10,"BeepEnable":false,"Dejitter":0,"Delay":0,"ExAlarmOutEnable":false,"LogEnable":false,"MMSEnable":false,"MailEnable":false,"MessageEnable":true,"MonitorTour":[{"Enable":false},{"Enable":false}],"PtzLink":[["None",0]],"PtzLinkEnable":false,"RecordChannels":[0],"RecordEnable":true,"RecordLatch":10,"SnapshotEnable":false,"SnapshotPeriod":3,"SnapshotTimes":5,"SnapshotTitleEnable":false,"TimeSection":[["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"]],"TipEnable":false,"VideoTitleEnable":false,"VoiceEnable":false},"Name":"Nonamed","SenseMethod":"Infrared","SensorType":"NO"},{"DisableDelay":0,"Enable":true,"EnableControl":"Normal","EventHandler":{"AlarmOutEnable":false,"AlarmOutLatch":10,"BeepEnable":false,"Dejitter":0,"Delay":0,"ExAlarmOutEnable":false,"LogEnable":false,"MMSEnable":false,"MailEnable":false,"MessageEnable":true,"MonitorTour":[{"Enable":false},{"Enable":false}],"PtzLink":[["None",0]],"PtzLinkEnable":false,"RecordChannels":[1],"RecordEnable":true,"RecordLatch":10,"SnapshotEnable":false,"SnapshotPeriod":3,"SnapshotTimes":5,"SnapshotTitleEnable":false,"TimeSection":[["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"]],"TipEnable":false,"VideoTitleEnable":false,"VoiceEnable":false},"Name":"Nonamed","SenseMethod":"Infrared","SensorType":"NO"},{"DisableDelay":0,"Enable":true,"EnableControl":"Normal","EventHandler":{"AlarmOutEnable":false,"AlarmOutLatch":10,"BeepEnable":false,"Dejitter":0,"Delay":0,"ExAlarmOutEnable":false,"LogEnable":false,"MMSEnable":false,"MailEnable":false,"MessageEnable":true,"MonitorTour":[{"Enable":false},{"Enable":false}],"PtzLink":[["None",0]],"PtzLinkEnable":false,"RecordChannels":[2],"RecordEnable":true,"RecordLatch":10,"SnapshotEnable":false,"SnapshotPeriod":3,"SnapshotTimes":5,"SnapshotTitleEnable":false,"TimeSection":[["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"]],"TipEnable":false,"VideoTitleEnable":false,"VoiceEnable":false},"Name":"Nonamed","SenseMethod":"Infrared","SensorType":"NO"},{"DisableDelay":0,"Enable":true,"EnableControl":"Normal","EventHandler":{"AlarmOutEnable":false,"AlarmOutLatch":10,"BeepEnable":false,"Dejitter":0,"Delay":0,"ExAlarmOutEnable":false,"LogEnable":false,"MMSEnable":false,"MailEnable":false,"MessageEnable":true,"MonitorTour":[{"Enable":false},{"Enable":false}],"PtzLink":[["None",0]],"PtzLinkEnable":false,"RecordChannels":[3],"RecordEnable":true,"RecordLatch":10,"SnapshotEnable":false,"SnapshotPeriod":3,"SnapshotTimes":5,"SnapshotTitleEnable":false,"TimeSection":[["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"]],"TipEnable":false,"VideoTitleEnable":false,"VoiceEnable":false},"Name":"Nonamed","SenseMethod":"Infrared","SensorType":"NO"},{"DisableDelay":0,"Enable":true,"EnableControl":"Normal","EventHandler":{"AlarmOutEnable":false,"AlarmOutLatch":10,"BeepEnable":false,"Dejitter":0,"Delay":0,"ExAlarmOutEnable":false,"LogEnable":false,"MMSEnable":false,"MailEnable":false,"MessageEnable":true,"MonitorTour":[{"Enable":false},{"Enable":false}],"PtzLink":[["None",0]],"PtzLinkEnable":false,"RecordChannels":[4],"RecordEnable":true,"RecordLatch":10,"SnapshotEnable":false,"SnapshotPeriod":3,"SnapshotTimes":5,"SnapshotTitleEnable":false,"TimeSection":[["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"]],"TipEnable":false,"VideoTitleEnable":false,"VoiceEnable":false},"Name":"Nonamed","SenseMethod":"Infrared","SensorType":"NO"},{"DisableDelay":0,"Enable":true,"EnableControl":"Normal","EventHandler":{"AlarmOutEnable":false,"AlarmOutLatch":10,"BeepEnable":false,"Dejitter":0,"Delay":0,"ExAlarmOutEnable":false,"LogEnable":false,"MMSEnable":false,"MailEnable":false,"MessageEnable":true,"MonitorTour":[{"Enable":false},{"Enable":false}],"PtzLink":[["None",0]],"PtzLinkEnable":false,"RecordChannels":[5],"RecordEnable":true,"RecordLatch":10,"SnapshotEnable":false,"SnapshotPeriod":3,"SnapshotTimes":5,"SnapshotTitleEnable":false,"TimeSection":[["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"]],"TipEnable":false,"VideoTitleEnable":false,"VoiceEnable":false},"Name":"Nonamed","SenseMethod":"Infrared","SensorType":"NO"},{"DisableDelay":0,"Enable":true,"EnableControl":"Normal","EventHandler":{"AlarmOutEnable":false,"AlarmOutLatch":10,"BeepEnable":false,"Dejitter":0,"Delay":0,"ExAlarmOutEnable":false,"LogEnable":false,"MMSEnable":false,"MailEnable":false,"MessageEnable":true,"MonitorTour":[{"Enable":false},{"Enable":false}],"PtzLink":[["None",0]],"PtzLinkEnable":false,"RecordChannels":[6],"RecordEnable":true,"RecordLatch":10,"SnapshotEnable":false,"SnapshotPeriod":3,"SnapshotTimes":5,"SnapshotTitleEnable":false,"TimeSection":[["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"]],"TipEnable":false,"VideoTitleEnable":false,"VoiceEnable":false},"Name":"Nonamed","SenseMethod":"Infrared","SensorType":"NO"},{"DisableDelay":0,"Enable":true,"EnableControl":"Normal","EventHandler":{"AlarmOutEnable":false,"AlarmOutLatch":10,"BeepEnable":false,"Dejitter":0,"Delay":0,"ExAlarmOutEnable":false,"LogEnable":false,"MMSEnable":false,"MailEnable":false,"MessageEnable":true,"MonitorTour":[{"Enable":false},{"Enable":false}],"PtzLink":[["None",0]],"PtzLinkEnable":false,"RecordChannels":[7],"RecordEnable":true,"RecordLatch":10,"SnapshotEnable":false,"SnapshotPeriod":3,"SnapshotTimes":5,"SnapshotTitleEnable":false,"TimeSection":[["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"]],"TipEnable":false,"VideoTitleEnable":false,"VoiceEnable":false},"Name":"Nonamed","SenseMethod":"Infrared","SensorType":"NO"},{"DisableDelay":0,"Enable":true,"EnableControl":"Normal","EventHandler":{"AlarmOutEnable":false,"AlarmOutLatch":10,"BeepEnable":false,"Dejitter":0,"Delay":0,"ExAlarmOutEnable":false,"LogEnable":false,"MMSEnable":false,"MailEnable":false,"MessageEnable":true,"MonitorTour":[{"Enable":false},{"Enable":false}],"PtzLink":[["None",0]],"PtzLinkEnable":false,"RecordChannels":[8],"RecordEnable":true,"RecordLatch":10,"SnapshotEnable":false,"SnapshotPeriod":3,"SnapshotTimes":5,"SnapshotTitleEnable":false,"TimeSection":[["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"],["1 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00","0 00:00:00-24:00:00"]],"TipEnable":false,"VideoTitleEnable":false,"VoiceEnable":false},"Name":"Nonamed","SenseMethod":"Infrared","SensorType":"NO"}]},"result":true,"session":123123},{"id":49,"params":{"table":[{"Address":8,"Attribute":[115200,8,"None","1"],"ProtocolName":"Console"},{"Address":8,"Attribute":[115200,8,"None","1"],"ProtocolName":"PTZ"},{"Attribute":[9600,8,"None","1"]}]},"result":true,"session":123123},{"id":50,"params":{"table":{"Enable":true}},"result":true,"session":123123},{"id":51,"params":{"table":{"ServiceStart":true}},"result":true,"session":123123},{"id":52,"params":{"table":{"DmssPayload":null,"PushNotificationEnable":true,"PushServerInfo":null}},"result":true,"session":123123},{"id":53,"params":{"table":{"Enable":true}},"result":true,"session":123123},{"id":54,"params":{"table":{"Enable":false,"EventHandler":{"AlarmOut":1,"AlarmOutChannels":[0],"AlarmOutEnable":true,"AlarmOutLatch":10,"BeepEnable":false,"Dejitter":0,"Delay":0,"ExAlarmOut":1,"ExAlarmOutChannels":[0],"ExAlarmOutEnable":false,"LogEnable":true,"MailEnable":false,"Matrix":1,"MatrixChannels":[0],"MatrixEnable":false,"MessageEnable":false,"PtzLink":[["None",0]],"PtzLinkEnable":false,"Record":1,"RecordChannels":[0],"RecordEnable":false,"RecordLatch":10,"Snapshot":1,"SnapshotChannels":[0],"SnapshotEnable":false,"TimeSection":[["1 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59"],["1 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59"],["1 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59"],["1 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59"],["1 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59"],["1 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59"],["1 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59","0 00:00:00-23:59:59"]],"TipEnable":false,"Tour":1,"TourChannels":[0],"TourEnable":false,"VoiceEnable":false}}},"result":true,"session":123123},{"id":55,"params":{"table":{"PrivateMediaEncrypt":{"KeyFrameEncrypt":{"Enable":false,"VKUpdateTime":720}},"RTSPOverTls":{"Enable":false}}},"result":true,"session":123123},{"id":56,"params":{"table":{"ServiceStart":true}},"result":true,"session":123123}],"result":true,"session":123123}\n',
    b' \x00\x00\x00DHIP\xb6\xfe\xff\x7f\n\x01\x00\x00F\x00\x00\x00\x00\x00\x00\x00F\x00\x00\x00\x00\x00\x00\x00{"id":266,"params":{"timeout":55},"result":true,"session":123123}\n',
    ' \x00\x00\x00DHIP\xfc2\xbf]^\x00\x00\x00E\x00\x00\x00\x00\x00\x00\x00E\x00\x00\x00\x00\x00\x00\x00{“id”:94,“params”:{“timeout”:55},“result”:true,“session”:123123}\n',
    ' \x00\x00\x00DHIP\xfc2\xbf]_\x00\x00\x00E\x00\x00\x00\x00\x00\x00\x00E\x00\x00\x00\x00\x00\x00\x00{“id”:95,“params”:{“timeout”:55},“result”:true,“session”:123123}\n',
    b' \x00\x00\x00DHIP\xa4\xfe\xff\x7f\x02\x00\x00\x00 \x01\x00\x00\x00\x00\x00\x00 \x01\x00\x00\x00\x00\x00\x00{"error":{"code":123123,"message":"Component error: login challenge!"},"id":2,"params":{"authorization":"123123","encryption":"Default","mac":"123123","random":"123123","realm":"Login to 123123"},"result":false,"session":123123}\n'
]


def process(msg):
    is_ascii = isinstance(msg[0], int)
    lines = msg.splitlines()

    for line in lines:
        decoded_line = get_decoded_line(line, is_ascii)
        start_index = get_start_index(decoded_line)

        if start_index is not None:
            message = decoded_line[start_index:]

            json_data = json.loads(message)

            print(json.dumps(json_data, indent=4))


for item in items:
    print(f"processing: {item}")
    process(item)
